%global mod_name Flask-OpenID
%global with_python3 0

Name:           python-flask-openid
Version:        1.2.4
Release:        1%{?dist}
Summary:        OpenID support for Flask

Group:          Development/Libraries
License:        BSD
URL:            http://github.com/mitsuhiko/flask-openid/
Source0:        http://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-openid
BuildRequires:  python-setuptools
Requires:  python-openid

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-openid
%endif

%description
Flask-OpenID is an extension to flask that allows you to add openid
based authentication to your website in a matter of minutes.

%if 0%{?with_python3}
%package -n python3-flask-openid
Summary:        OpenID support for Flask
Group:          Development/Libraries
Requires:       python3-openid

%description -n python3-flask-openid
Flask-OpenID is an extension to flask that allows you to add openid
based authentication to your website in a matter of minutes.

This package includes the python 3 version of the module.
%endif # with_python3


%prep
%setup -q -n %{mod_name}-%{version}
rm -f docs/_themes/.git
rm -f docs/_themes/.gitignore
rm -f docs/.DS_Store
rm -f docs/_static/.DS_Store
rm -f docs/_static/._.DS_Store
rm -f docs/._.DS_Store

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%if 0%{?with_python3}
pushd %{py3dir}
mkdir -p $RPM_BUILD_ROOT%{python3_sitelib}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif
 
%files
%doc docs LICENSE PKG-INFO README
%{python_sitelib}/*.egg-info/
%{python_sitelib}/*.py*

%if 0%{?with_python3}
%files -n python3-flask-openid
%doc docs README LICENSE PKG-INFO
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/*.py*
%endif # with_python3

%changelog
* Tue Nov 18 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.2.4-1
- Update to 1.2.4

* Fri Oct 17 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.2.3-1
- Updated to 1.2.3 fixing the upgrade path at the same time

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 23 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.2-1
- Fix #1056523

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 9 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 1.0.1-3
- Added python-openid as Require

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 22 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 1.0.1-1
- Initial RPM release
